Skip to main content
GET
/
merchant
/
{merchantId}
/
category
List Categories
curl --request GET \
  --url https://api.satsuma.ai/merchant/{merchantId}/category \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "merchant_id": "<string>",
      "external_id": "<string>",
      "name": "<string>",
      "parent_id": "<string>",
      "parent_external_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "depth": 123
    }
  ],
  "messages": [
    {
      "context": "<string>",
      "text": "<string>",
      "data": {}
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication

Path Parameters

merchantId
string
required

Merchant identifier

Query Parameters

page
integer
default:0

Zero-based page index (0..N)

Required range: x >= 0
size
integer
default:20

The size of the page to be returned

Required range: x >= 1
sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

200 - application/json

OK

data
object[]
messages
object[]
total
integer<int64>